Bug 1823870 - Operator instances UI distorted.
Summary: Operator instances UI distorted.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.5.0
Assignee: Yadan Pei
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On: 1832201
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-14 16:54 UTC by Anshul Verma
Modified: 2020-07-13 17:27 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Status descriptor paths can be longer than the space allotted for them inside the donut chart. Additionally, only one status descriptor appears per row regardless of how large the viewport is. Consequence: Status descriptor paths that are very long can be clipped on the right and left sides, obscuring the value. Further, vertical scrolling may be required to view many status descriptors. Fix: Move the status descriptor path below the donut chart so it can wrap as needed and allow more than one status descriptor per row. Result: Status descriptor paths with long values are full visible, and less scrolling is required to view all status descriptors when there are many.
Clone Of:
Environment:
Last Closed: 2020-07-13 17:27:24 UTC
Target Upstream Version:


Attachments (Terms of Use)
logging instance (78.69 KB, image/png)
2020-04-14 16:54 UTC, Anshul Verma
no flags Details
Cluster Logging Overview (189.94 KB, image/png)
2020-05-12 08:06 UTC, Yadan Pei
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 5265 None closed Bug 1823870: Improve display and layout of operand status descriptors 2020-07-13 18:04:48 UTC
Red Hat Product Errata RHBA-2020:2409 None None None 2020-07-13 17:27:47 UTC

Description Anshul Verma 2020-04-14 16:54:54 UTC
Created attachment 1678761 [details]
logging instance

Description of problem:
When we see the instances details of some Operator, it shows a distorted UI representation of the status of different components(pods) for that instance of the Operator.

For example, Attaching an Image of instance of the logging operator to represent the same.

Version-Release number of selected component (if applicable):
4.3

Comment 1 Nishanth Thomas 2020-04-16 03:50:27 UTC
Moving this Bz to OCP console component

Comment 2 Stephen Cuppett 2020-04-17 12:30:49 UTC
Setting target release to current development version (4.5) for investigation. Where fixes (if any) are required/requested for prior versions, cloned BZs will be created when appropriate.

Comment 3 Robb Hamilton 2020-04-21 14:32:40 UTC
Setting the severity to low as this is definitely something we should improve, but it's not a blocker.

Comment 6 Yadan Pei 2020-05-12 08:06:30 UTC
Created attachment 1687559 [details]
Cluster Logging Overview

1. Deploy Logging v4.5.0 with https://github.com/openshift/cluster-logging-operator/pull/440 included
2. Create Cluster Logging instance and view its details
3. Now Cluster Logging Details shows correct number in donut

Verified on 4.5.0-0.nightly-2020-05-11-211039

Comment 7 errata-xmlrpc 2020-07-13 17:27:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.